﻿using System;

namespace IcapClientDll
{
	public class IcapResponse
	{
		private string m_strFile;
		public string File
		{
			get => m_strFile;
			set => m_strFile = value;
		}

		private string m_strResponse;
		public string Response
		{
			get => m_strResponse;
			set => m_strResponse = value;
		}

		private bool m_boolStatus;
		public bool Status
		{
			get => m_boolStatus;
			set => m_boolStatus = value;
		}

		private string m_strRequestPayload;
		public string RequestPaylod
		{
			get => m_strRequestPayload;
			set => m_strRequestPayload = value;
		}

		public IcapResponse()
		{
			m_strFile = string.Empty;
			m_strResponse = string.Empty;
			m_boolStatus = false;
			m_strRequestPayload = string.Empty;
		}

		public IcapResponse(string m_strFile, string m_strResponse, bool m_boolStatus, string m_strRequestPayload)
		{
			this.m_strFile = m_strFile;
			this.m_strResponse = m_strResponse;
			this.m_boolStatus = m_boolStatus;
			this.m_strRequestPayload = m_strRequestPayload;
		}

		public string fnGetString(string strNewLineString)
		{
			try
			{
				return string.Format("File Path and Status --> {0}{1}{2}{1}", m_strFile, strNewLineString, m_strResponse);
			}
			catch (Exception)
			{
				return string.Empty;
			}
		}
	}
}
